=== debian/control ===
Source: node-xterm
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>,
           Ximin Luo <infinity0@debian.org>
Section: web
Priority: optional
Build-Depends: chai <!nocheck>,
               debhelper (>= 10),
               dpkg-dev (>= 1.17.14),
               mocha <!nocheck>,
               node-browserify-lite,
               node-typescript,
               node-typescript-types,
               nodejs
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/pkg-javascript/node-xterm.git
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-xterm.git
Homepage: https://xtermjs.org

Package: node-xterm
Architecture: all
Depends: ${misc:Depends},
         libjs-xterm
Suggests: nodejs
Description: terminal front-end component for the browser - NodeJS modules
 Xterm.js is a terminal front-end component written in JavaScript that works in
 the browser.
 .
 It enables applications to provide fully featured terminals to their users and
 create great development experiences.
 .
 Features:
 .
   - **Text-based application support**: Use xterm.js to work with applications
     like `bash`, `git` etc.
   - **Curses-based application support**: Use xterm.js to work with
     applications like `vim`, `tmux` etc.
   - **Mouse events support**: Xterm.js captures mouse events like click and
     scroll and passes them to the terminal's back-end controlling process
   - **CJK (Chinese, Japanese, Korean) character support**: Xterm.js renders
     CJK characters seamlessly
   - **IME support**: Insert international (including CJK) characters using IME
     input with your keyboard
   - **Self-contained library**: Xterm.js works on its own. It does not require
     any external libraries like jQuery or React to work
   - **Modular, event-based API**: Lets you build addons and themes with ease
 .
 This package contains the unpacked individual xterm CommonJS modules.

Package: libjs-xterm
Architecture: all
Depends: ${misc:Depends}
Description: terminal front-end component for the browser - browser library
 Xterm.js is a terminal front-end component written in JavaScript that works in
 the browser.
 .
 It enables applications to provide fully featured terminals to their users and
 create great development experiences.
 .
 Features:
 .
   - **Text-based application support**: Use xterm.js to work with applications
     like `bash`, `git` etc.
   - **Curses-based application support**: Use xterm.js to work with
     applications like `vim`, `tmux` etc.
   - **Mouse events support**: Xterm.js captures mouse events like click and
     scroll and passes them to the terminal's back-end controlling process
   - **CJK (Chinese, Japanese, Korean) character support**: Xterm.js renders
     CJK characters seamlessly
   - **IME support**: Insert international (including CJK) characters using IME
     input with your keyboard
   - **Self-contained library**: Xterm.js works on its own. It does not require
     any external libraries like jQuery or React to work
   - **Modular, event-based API**: Lets you build addons and themes with ease
 .
 This package contains the standalone packed library suitable for running in
 a web browser.
