=== debian/watch ===
version=4
opts=repacksuffix=+ds1,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
filenamemangle=s/.+\/v?@ANY_VERSION@\.tar\.gz/xterm.js-$1\.tar\.gz/ \
https://github.com/sourcelair/xterm.js/tags .*/archive/v?@ANY_VERSION@\.tar\.gz
