## node-xterm 3.8.1

=== debian/changelog ===
node-xterm (3.8.1-3) unstable; urgency=medium

  * Work around an apparent browserify-lite bug producing a broken internal
    mapping.

 -- Gordon Ball <gordon@chronitis.net>  Wed, 05 Feb 2020 11:54:51 +0000

node-xterm (3.8.1-2) unstable; urgency=medium

  * Fix addons which weren't typescript-compiled or browserified in the
    previous version.
  * Remove the interdependency between node-xterm and libjs-xterm; they
    previously shared the addons/ directory, but this is now split into the
    compiled typescript (in node-xterm) and the browserified addons (in
    libjs-xterm). This requires a symlink_to_dir maintscript.

 -- Gordon Ball <gordon@chronitis.net>  Mon, 27 Jan 2020 20:28:37 +0000

node-xterm (3.8.1-1) unstable; urgency=medium

  [ Ghislain Antony Vaillant ]
  * Change package section to javascript
  * Add recommended get-orig-source target

  [ Pirate Praveen ]
  * New upstream version 3.7.0 (Closes: #909424)
  * Use salsa.debian.org in Vcs-* fields
  * Bump debhelper compatibility level to 11
  * Bump Standards-Version to 4.2.1 (no changes needed)

  [ Gordon Ball ]
  * Convert to pkg-js-tools
  * Fix FTBFS bugs (Closes: #888935, #919077)
  * Move node-xterm to /usr/share/nodejs (from /usr/lib/nodejs)
  * Standards-Version 4.5.0
  * Debhelper compat level 12 (and drop debian/compat)
  * Patch several obsolete type names caught by newer node-typescript
  * New upstream version 3.8.1 (the earliest version containing a fix for
    CVE-2019-0542, closes: #926670)
  * Update URLs to github.com/xtermjs/xterm.js
  * Drop Files-Excluded and repacking config, as the relevant files no longer
    exist in the tarball
  * Drop d/copyright stanza for src/xterm.js which no longer exists
  * Set Rules-Requires-Root: no

 -- Gordon Ball <gordon@chronitis.net>  Sat, 25 Jan 2020 19:35:53 +0000
