=== debian/control ===
--- 
+++ 
@@ -2,25 +2,25 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>,
            Ximin Luo <infinity0@debian.org>
-Section: web
+Section: javascript
 Priority: optional
 Build-Depends: chai <!nocheck>,
-               debhelper (>= 10),
-               dpkg-dev (>= 1.17.14),
+               debhelper-compat (= 12),
                mocha <!nocheck>,
                node-browserify-lite,
                node-typescript,
-               node-typescript-types,
-               nodejs
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/git/pkg-javascript/node-xterm.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-xterm.git
+               node-typescript-types (>= 20190609~),
+               nodejs,
+               pkg-js-tools
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/js-team/node-xterm
+Vcs-Git: https://salsa.debian.org/js-team/node-xterm.git
 Homepage: https://xtermjs.org
+Rules-Requires-Root: no
 
 Package: node-xterm
 Architecture: all
-Depends: ${misc:Depends},
-         libjs-xterm
+Depends: ${misc:Depends}
 Suggests: nodejs
 Description: terminal front-end component for the browser - NodeJS modules
  Xterm.js is a terminal front-end component written in JavaScript that works in
