=== debian/watch ===
version=4
https://github.com/xtermjs/xterm.js/tags .*/archive/v?@ANY_VERSION@\.tar\.gz
