## node-xterm 3.8.1%2B~cs0.9.0

=== debian/watch ===
version=4
https://github.com/xtermjs/xterm.js/tags?after=3.13.1 .*/archive/v?@ANY_VERSION@\.tar\.gz group

opts=\
component=node-pty,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-node-pty-$1.tar.gz/ \
 https://github.com/Tyriar/node-pty/tags .*/archive/v?([\d\.]+).tar.gz checksum
