## node-xterm 3.8.1+~cs0.9.0

=== debian/changelog ===
node-xterm (3.8.1+~cs0.9.0-1) unstable; urgency=medium

  * Team upload
  * Add node-pty as component
  * Use an older tags page for getting older versions
  * New upstream version 3.8.1+~cs0.9.0
  * Add copyright for node-pty component
  * Document why the component is not built
  * Switch to rollup for building browser bundle (Closes: #980406)
  * Remove build dependency on node-typescript-types (Closes: #979774)
  * Ignore some type mismatches (Thanks to Xavier Guimard) (Closes: #954678)

 -- Pirate Praveen <praveen@debian.org>  Tue, 19 Jan 2021 23:59:29 +0530

node-xterm (3.8.1-4) unstable; urgency=medium

  * Team upload
  * Include addons in node-xterm as well (Closes: #952281)

 -- Pirate Praveen <praveen@debian.org>  Fri, 28 Feb 2020 18:52:06 +0530
