=== debian/control ===
--- 
+++ 
@@ -7,9 +7,11 @@
 Build-Depends: chai <!nocheck>,
                debhelper-compat (= 12),
                mocha <!nocheck>,
-               node-browserify-lite,
+               rollup,
                node-typescript,
-               node-typescript-types (>= 20190609~),
+               node-types-jquery,
+               node-types-jsdom,
+               node-types-mocha,
                nodejs,
                pkg-js-tools
 Standards-Version: 4.5.0
@@ -20,7 +22,7 @@
 
 Package: node-xterm
 Architecture: all
-Depends: ${misc:Depends}
+Depends: libjs-xterm, ${misc:Depends}
 Suggests: nodejs
 Description: terminal front-end component for the browser - NodeJS modules
  Xterm.js is a terminal front-end component written in JavaScript that works in
