=== debian/watch ===
version=4
https://github.com/xtermjs/xterm.js/tags .*/archive/.*/v?@ANY_VERSION@\.tar\.gz

opts=\
ctype=nodejs,\
component=xterm-wasm-parts,\
mode=git,\
date=%Y%m%d,\
dversionmangle=auto,\
pgpmode=none,\
pretty=0.1.0~git%cd \
 https://github.com/jerch/xterm-wasm-parts.git HEAD
